# $Revision: 1.87.2.3 $, $Date: 2006/08/02 17:27:56 $
Summary:	The core programs for the GNOME GUI desktop environment
Summary(pl):	Podstawowe programy rodowiska graficznego GNOME
Name:		gnome-desktop
Version:	2.14.3
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-desktop/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	2a8547ab0dcb10a1ad297874ae95b06b
Source1:	pld-logo.svg
Patch0:		%{name}-crystalsvg.patch
Patch1:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils >= 0.3.1-2
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	scrollkeeper
Requires(post,postun):	scrollkeeper
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	gnome-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with a
window manager for the X Window System. GNOME is similar in purpose
and scope to CDE and KDE, but GNOME is based completely on free
software.

This package contains applications related to GNOME desktop.

%description -l pl
GNOME (GNU Network Object Model Environment) jest zestawem
przyjaznych dla uytkownika programw i narzdzi biurkowych, ktrych
uywa si wraz z zarzdc okien systemu X Window. GNOME przypomina
wygldem i zakresem funkcjonalnoci CDE i KDE, jednak GNOME opiera
si w caoci na wolnym oprogramowaniu.

Ten pakiet zawiera aplikacje zwizane w desktopem GNOME.

%package libs
Summary:	gnome-desktop library
Summary(pl):	Biblioteka gnome-desktop
Group:		Development/Libraries
Requires:	libgnomeui >= 2.14.1

%description libs
This package contains gnome-desktop library.

%description libs -l pl
Pakiet ten zawiera bibliotek gnome-desktop.

%package devel
Summary:	GNOME desktop includes
Summary(pl):	Pliki nagwkowe bibliotek GNOME desktop
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libgnomeui-devel >= 2.14.1
Requires:	startup-notification-devel >= 0.8

%description devel
GNOME desktop header files.

%description devel -l pl
Pliki nagwkowe bibliotek GNOME desktop.

%package static
Summary:	GNOME desktop static libraries
Summary(pl):	Statyczne biblioteki GNOME desktop
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
GNOME desktop static libraries.

%description static -l pl
Statyczne biblioteki GNOME desktop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__intltoolize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gnome-distributor="PLD Linux Distribution" \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_pixmapsdir}/gnome-logo-icon-transparent.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}/gnome-logo-icon-transparent.svg

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -fr $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%doc %{_mandir}/man1/*
%{_datadir}/gnome-about
%{_pixmapsdir}/*
%{_omf_dest_dir}/fdl
%{_omf_dest_dir}/gnome-feedback
%{_omf_dest_dir}/gpl
%{_omf_dest_dir}/lgpl
%{_desktopdir}/*.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gnome-desktop-2.0
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-desktop.spec,v $
Revision 1.87.2.3  2006/08/02 17:27:56  freetz
- 2.14.3, use rpm macros

Revision 1.87.2.2  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.87.2.1  2006/05/15 15:15:27  baggins
- merged from HEAD

Revision 1.91  2006/04/12 16:14:12  freetz
- 2.14.1.1

Revision 1.90  2006/04/10 17:26:02  freetz
- 2.14.1

Revision 1.89  2006/04/02 10:35:48  freetz
- merged from DEVEL

Revision 1.86.2.9  2006/03/21 18:23:02  freetz
- libs subpackage, rel.3

Revision 1.86.2.8  2006/03/21 16:42:28  freetz
- rel.2

Revision 1.86.2.7  2006/03/13 21:12:05  freetz
- 2.14.0

Revision 1.86.2.6  2006/03/03 15:17:19  freetz
- store pld-logo.svg in cvs (instead of distfiles)

Revision 1.86.2.5  2006/03/03 12:34:51  sparky
- pld-logo.svg is OK

Revision 1.86.2.4  2006/03/03 11:58:28  wrobell
- ver. 2.13.92
- where is pld-logo.svg? wrong md5sum?

Revision 1.86.2.3  2006/02/13 20:36:57  freetz
- 2.13.91

Revision 1.86.2.2  2006/01/27 20:09:57  freetz
- 2.13.90

Revision 1.86.2.1  2006/01/22 19:36:05  freetz
- 2.13.5

Revision 1.88  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.87  2006/02/08 18:03:28  freetz
- 2.12.3, call intltoolize

Revision 1.86  2005/11/28 18:24:53  freetz
- 2.12.2

Revision 1.85  2005/10/04 20:00:30  freetz
- 2.12.1

Revision 1.84  2005/09/05 17:51:48  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.83.2.5  2005/08/22 19:21:13  aflinta
- version 2.11.92

Revision 1.83.2.4  2005/08/17 20:37:59  aflinta
- rebuild with new cairo, rel. 2

Revision 1.83.2.3  2005/07/25 19:05:26  freetz
- 2.11.90, switched to gnome-doc-utils

Revision 1.83.2.2  2005/07/13 11:13:37  freetz
- 2.11.5

Revision 1.83.2.1  2005/07/03 15:49:28  freetz
- 2.11.4

Revision 1.83  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.82  2005/04/13 09:00:18  freetz
- 2.10.1

Revision 1.81  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.80  2005/04/08 11:49:26  paladine
- new style macros
- rel. 5, STBR

Revision 1.79  2005/04/01 22:36:26  havner
- reverted update-desktop, these desktop files don't have MimeType

Revision 1.78  2005/04/01 17:37:50  havner
- typo

Revision 1.77  2005/04/01 17:26:39  havner
- desktop patch
- R(post) desktop-file-utils
- update mime in %post*
- rel 3

Revision 1.76  2005/03/20 20:22:30  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.75  2005/03/07 23:08:37  paladine
- merged from DEVEL

Revision 1.74  2005/02/15 09:05:59  paladine
- md5

Revision 1.73  2005/02/15 08:54:41  paladine
- updated to 2.8.3

Revision 1.72.2.5  2005/03/07 20:51:11  wiget
- updated to 2.10.0

Revision 1.72.2.4  2005/02/28 23:48:02  paladine
- updated to 2.9.92

Revision 1.72.2.3  2005/02/13 00:45:17  grzegol
- http://www.pld-linux.org/Members/krzak/pld-logo.svg doesn't exist - moved
  icon to dropin and corrected md5sum

Revision 1.72.2.2  2005/02/08 13:40:04  grzegol
- updated to 2.9.91

Revision 1.72.2.1  2005/02/07 00:32:07  grzegol
- updated to 2.9.90.1

Revision 1.72  2004/11/18 06:33:21  ankry
- O: gnome-core (instead of C:), rel. 2

Revision 1.71  2004/10/12 18:12:57  freetz
- 2.8.1, tested, ready for STBR

Revision 1.70  2004/09/15 08:12:39  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.69  2004/08/17 14:57:52  ankry
- rel. 2 to rebuild

Revision 1.68  2004/06/14 22:16:27  grzegol
- updated to 2.6.2

Revision 1.67.2.8  2004/08/30 15:48:00  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %install

Revision 1.67.2.7  2004/08/22 21:31:00  aflinta
- rebuild with howl, release 2

Revision 1.67.2.6  2004/08/17 16:54:31  aflinta
- up to version 2.7.91

Revision 1.67.2.5  2004/08/03 17:35:02  grzegol
- updated to 2.7.90

Revision 1.67.2.4  2004/07/20 11:23:52  grzegol
- updated to 2.7.4
- removed outdated omf patch

Revision 1.67.2.3  2004/07/06 11:49:08  grzegol
- updated to 2.7.3

Revision 1.67.2.2  2004/06/06 21:29:36  freetz
- rel.2 (fixed some scrollkeeper problems)

Revision 1.67.2.1  2004/06/05 15:57:34  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.67  2004/04/29 20:55:03  pawcioos
- added BR: scrollkeeper

Revision 1.66  2004/04/19 21:30:51  grzegol
- updated to 2.6.1

Revision 1.65  2004/03/31 16:43:58  grzegol
- updated to 2.6.0.1

Revision 1.64  2004/03/23 00:09:24  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.63  2004/02/15 17:39:08  freetz
- added crystalsvg patch - now kde apps in gnome menus are displayed with
  icons, rel.3

Revision 1.62  2003/11/29 18:57:15  krzak
- PLD Logo icon
- rel 2

Revision 1.61.2.10  2004/03/15 16:53:29  grzegol
- updated to 2.5.92

Revision 1.61.2.9  2004/03/09 21:16:40  grzegol
- updated to 2.5.91

Revision 1.61.2.8  2004/02/23 21:47:09  grzegol
- updated to 2.5.90

Revision 1.61.2.7  2004/02/20 22:59:13  grzegol
- added omf patch (fixes .omf files)
- rel. 2

Revision 1.61.2.6  2004/02/16 13:27:25  grzegol
- updated to 2.5.5
- removed locale-sr patch (it wasn't applied anyway)
- added locale-names patch (changes locale no -> nb)

Revision 1.61.2.5  2004/02/04 14:05:32  grzegol
- updated to 2.5.4
- added scrollkeeper-update to %post

Revision 1.61.2.4  2004/01/14 20:41:03  grzegol
- updated to 2.5.3

Revision 1.61.2.3  2003/12/17 10:03:30  wiget
- higer BR for sane env

Revision 1.61.2.2  2003/12/16 13:18:17  trojan
- updated to 2.5.2

Revision 1.61.2.1  2003/11/14 08:40:57  wiget
- 2.5.1

Revision 1.61  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.60  2003/10/15 13:56:00  freetz
- up to 2.4.1.1 (empty ChangeLog, bumped version number, simple bad taste :)

Revision 1.59  2003/10/14 11:47:59  freetz
- up to 2.4.1

Revision 1.58  2003/10/14 11:09:05  qboosh
- BR: pkgconfig

Revision 1.57  2003/09/09 17:11:49  grzegol
- updated to 2.4.0

Revision 1.56  2003/09/02 16:48:17  grzegol
- updated to 2.3.90

Revision 1.55  2003/08/25 21:49:07  grzegol
- updated to 2.3.7

Revision 1.54  2003/08/18 08:08:07  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.53  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.52  2003/08/11 13:01:14  trojan
- updated to 2.3.6.1

Revision 1.51  2003/08/07 19:14:11  aflinta
- version 2.3.6

Revision 1.50  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.49  2003/07/15 18:47:35  grzegol
- added --with-gnome-distributor :)

Revision 1.48  2003/07/15 17:10:39  aflinta
- version 2.3.4

Revision 1.47  2003/07/04 13:28:27  aflinta
- version 2.3.3.1

Revision 1.46  2003/06/06 16:46:49  aflinta
- version 2.3.3

Revision 1.45  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.44  2003/05/25 05:48:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/05/20 21:07:46  aflinta
- make sr locales compatible with glibc, release 2

Revision 1.42  2003/05/20 18:26:01  aflinta
- version 2.3.2

Revision 1.41  2003/05/16 06:58:54  wrobell
- devel subpackage requires libgnomeui-devel

Revision 1.40  2003/05/08 14:13:02  qboosh
- renamed sp locale to sr@cyrillic, cosmetics, release 2

Revision 1.39  2003/05/04 17:01:29  aflinta
- version 2.3.1

Revision 1.38  2003/03/26 20:41:07  aflinta
- updated to version 2.3.0

Revision 1.37  2003/03/11 00:36:26  aflinta
- updated to version 2.2.1

Revision 1.36  2003/03/06 11:10:14  aflinta
- added patch mime_check which Fixes bug #105222. Release 3

Revision 1.35  2003/02/11 12:10:31  wrobell
- fixed build and install requirements
- rel. 2

Revision 1.34  2003/02/04 08:18:32  trojan
- updated to 2.2.0.1

Revision 1.33  2003/01/21 08:09:34  aflinta
- updated to version 2.2.0

Revision 1.32  2003/01/17 08:42:14  trojan
- fided %files (no need 755 for *.la)

Revision 1.31  2003/01/06 08:46:46  aflinta
- updated to version 2.1.90

Revision 1.30  2002/12/16 22:15:15  aflinta
- updated to version 2.1.5

Revision 1.29  2002/12/10 08:31:55  aflinta
- updated to version 2.1.4

Revision 1.28  2002/12/04 21:02:26  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.27  2002/11/28 17:35:18  aflinta
- updated to version 2.1.3

Revision 1.26  2002/11/28 01:13:46  wrobell
- rel. 2 to build with relocated libgnome

Revision 1.25  2002/11/25 01:41:03  ankry
  Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %doc

Revision 1.24  2002/11/04 08:02:03  aflinta
- updated to version 2.1.2

Revision 1.23  2002/10/29 18:54:30  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.22  2002/10/24 11:23:55  malekith
- release 2

Revision 1.21  2002/09/28 01:10:30  aflinta
- updated to version 2.1.0

Revision 1.20  2002/09/05 13:43:43  aflinta
- updated to version 2.0.8

Revision 1.19  2002/08/30 07:57:24  kura
- Conflict with gnome-core, not gnome-core2

Revision 1.18  2002/08/27 08:23:46  aflinta
- updated to version 2.0.7

Revision 1.17  2002/08/15 02:43:44  michuz
- updated to 2.0.6

Revision 1.16  2002/07/15 21:47:37  michuz
- updated to 2.0.3
- changed url

Revision 1.15  2002/06/26 07:57:46  aflinta
- updated to version 2.0.2

Revision 1.14  2002/06/17 13:16:24  wiget
- updated to 2.0.1

Revision 1.13  2002/06/12 10:49:55  wiget
- force newer build env

Revision 1.12  2002/06/11 07:44:37  wiget
- updated to 2.0.0

Revision 1.11  2002/05/29 07:53:21  wiget
- 1.5.21

Revision 1.10  2002/05/21 13:47:21  wiget
- updated to 1.5.20
- "new %doc"

Revision 1.9  2002/05/14 19:10:27  qboosh
- fixed descriptions after copy-paste, added the rest of pl ones
- fix in -static file list

Revision 1.8  2002/05/14 18:41:22  michuz
- updated to 1.5.19

Revision 1.7  2002/04/29 16:53:55  misiek
- updated to 1.5.18

Revision 1.6  2002/04/26 15:41:59  michuz
- typo

Revision 1.5  2002/04/26 09:54:15  arturs
- added Polish description

Revision 1.4  2002/04/24 23:37:57  michuz
- added conflicts

Revision 1.3  2002/04/24 23:33:35  michuz
- typos

Revision 1.2  2002/04/24 23:30:35  michuz
- added BR
- typo

Revision 1.1  2002/04/24 23:27:42  michuz
- initial release (based on RH)
